List embodiment profiles
GET
/v1/embodiment-profilescurl -X GET 'https://api.embodiflow.io/v1/embodiment-profiles' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
- codestring
- publishedOnlyboolean
Defaults to true when omitted, matching the previous raw binding. Only the string `'false'` (or boolean false) disables the filter.
响应
Success
- dataarray<EmbodimentProfileSummaryDto>必填
- idstring必填
- ownerTypestring必填可选值tenantsystem
- tenantIdstring | null必填
- codestring必填
- displayNamestring必填
- descriptionstring | null必填
- actionDimnumber必填
- obsSpacestring必填
- actionSpacestring必填
- actuatorGroupsobject必填
- camerasobject必填
- kinematicsobject必填
- defaultStrategyKeystring必填
- supportedTransportsobject必填
- preferredWireProtocolsobject必填
- metadataobject | null必填
- publishedAtstring | null必填
- createdAtstring必填
- updatedAtstring必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject
- requestIdstring
- pageSizenumber必填
响应示例
{
"data": [
{
"id": "string",
"ownerType": "tenant",
"tenantId": "string",
"code": "string",
"displayName": "string",
"description": "string",
"actionDim": 0,
"obsSpace": "string",
"actionSpace": "string",
"actuatorGroups": {},
"cameras": {},
"kinematics": {},
"defaultStrategyKey": "string",
"supportedTransports": {},
"preferredWireProtocols": {},
"metadata": {},
"publishedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}
],
"nextPageToken": "string",
"meta": {
"requestId": "string",
"pageSize": 0
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1